#ifndef eeprom_config_H
 #define eeprom_config_H

// Default Daten
//Kein Master
#define default_mastermode 0
//9600 Baud ((F_CPU/(baudrate*16))-1)
#define default_rs232ubrr 51
//Mige Geschwindigkeit
#define default_srspeed 28
//kein Intertface
#define default_interface_active 0
//Interface Quelle: RS232
#define default_interface_source 0
//Halt on error
#define default_halt_on_err 1
//send_funk_retry
#define default_send_funk_retry 100

extern u08 eep_mastermode[2] __attribute__ ((section (".eeprom")));
extern u08 eep_rs232ubrr[2] __attribute__ ((section (".eeprom")));
extern u08 eep_srspeed[2] __attribute__ ((section (".eeprom")));
extern u08 eep_interface_active[2] __attribute__ ((section (".eeprom")));
extern u08 eep_interface_source[2] __attribute__ ((section (".eeprom")));
extern u08 eep_halt_on_err[2] __attribute__ ((section (".eeprom")));
extern u08 eep_send_funk_retry[2] __attribute__ ((section (".eeprom")));

u08 eep_loadconf(void);
void eep_writeconf(void);
void eep_restoredefault(void);

#endif
